Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::VorbisComment Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::VorbisComment:

List of all members.

## Public Methods
| VorbisComment ()
| VorbisComment (::FLAC__StreamMetadata *object, bool copy)
| ~VorbisComment ()
unsigned | get_num_comments () const
Entry | get_vendor_string () const
Entry | get_comment (unsigned index) const
bool | set_vendor_string (const Entry &entry)
| See FLAC__metadata_object_vorbiscomment_set_vendor_string() Note: Only the Entry's field name will be used.
bool | set_comment (unsigned index, const Entry &entry)
| See FLAC__metadata_object_vorbiscomment_set_comment().
bool | insert_comment (unsigned index, const Entry &entry)
| See FLAC__metadata_object_vorbiscomment_insert_comment().
bool | delete_comment (unsigned index)
| See FLAC__metadata_object_vorbiscomment_delete_comment().
| VorbisComment (const VorbisComment &object)
| VorbisComment (const::FLAC__StreamMetadata &object)
| VorbisComment (const::FLAC__StreamMetadata *object)
void | operator= (const VorbisComment &object)
void | operator= (const::FLAC__StreamMetadata &object)
void | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const VorbisComment &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const VorbisComment &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const

## Detailed Description

VORBIS_COMMENT metadata block. See format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::VorbisComment::VorbisComment | ( | const VorbisComment & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::VorbisComment::VorbisComment | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::VorbisComment::VorbisComment | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::VorbisComment::VorbisComment | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

void FLAC::Metadata::VorbisComment::operator= | ( | const VorbisComment & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

void FLAC::Metadata::VorbisComment::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

void FLAC::Metadata::VorbisComment::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::VorbisComment::operator== | ( | const VorbisComment & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::VorbisComment::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::VorbisComment::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::VorbisComment::operator!= | ( | const VorbisComment & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::VorbisComment::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::VorbisComment::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h